Package org.apache.storm.generated

# Class DistributedRPCInvocations.AsyncClient.result_call

java.lang.Object
org.apache.storm.thrift.async.TAsyncMethodCall<Void>
org.apache.storm.generated.DistributedRPCInvocations.AsyncClient.result_call

Enclosing class:
  DistributedRPCInvocations.AsyncClient

public static class DistributedRPCInvocations.AsyncClient.result_call extends org.apache.storm.thrift.async.TAsyncMethodCall<Void>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

  `org.apache.storm.thrift.async.TAsyncMethodCall.State`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

  `client, transport`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `result_call(String id, String result, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler, org.apache.storm.thrift.async.TAsyncClient client, org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.transport.TNonblockingTransport transport)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Void`
  `getResult()`
  `void`
  `write_args(org.apache.storm.thrift.protocol.TProtocol prot)`

  ### Methods inherited from class org.apache.storm.thrift.async.TAsyncMethodCall

  `getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### result_call

    public result_call(String id, String result, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler, org.apache.storm.thrift.async.TAsyncClient client, org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.transport.TNonblockingTransport transport) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

- ## Method Details

  - ### write_args

    public void write_args(org.apache.storm.thrift.protocol.TProtocol prot) throws org.apache.storm.thrift.TException
    Specified by:
      `write_args` in class `org.apache.storm.thrift.async.TAsyncMethodCall<Void>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getResult

    public Void getResult() throws AuthorizationException, org.apache.storm.thrift.TException
    Specified by:
      `getResult` in class `org.apache.storm.thrift.async.TAsyncMethodCall<Void>`
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`